IImageMakefileView (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.makefile.image.IImageMakefileView interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.makefile.image
Interface IImageMakefileView

All Superinterfaces:
  IData<IImageMakefileView>, IImageMakefileData, IMakefileViewBase, IView

    public interface IImageMakefileView

extends IView, IMakefileViewBase, IImageMakefileData

Interface to image-makefile specific commands.

Views are created with an IImageMakefileViewConfiguration.

See Also:
  `IImageMakefileViewConfiguration`

Method Summary
`IMultiImageSource` | `createMultiImageSource()` Create a new, invalid multi-image source (not added)
`IImageMakefileData` | `getData()` Get a copy of cacheable data for the view.
`java.lang.String` | `getDefaultImageTarget()` Get the default target under which to add new mifconv commands.
`java.util.List<IMultiImageSource>` | `getMultiImageSources()` Access/modify the multi-image sources built in the Makefile (e.g., one per call to mifconv).
`java.lang.String` | `getUnexpandedMultiImageSourceTargetPath(IMultiImageSource source)` Get the string appearing in the Makefile that is the target of the multi-image source.
`void` | `setDefaultImageTarget(java.lang.String targetName)` Set the default target under which to add new mifconv commands.

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IView
`addListener, commit, convertModelToProjectPath, convertProjectToModelPath, dispose, forceSynchronized, getMessages, getModel, getProjectPath, getReferencedFiles, getViewConfiguration, markUnsynchronized, merge, needsSynchonize, removeListener, revert, setDebug`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.makefile.IMakefileViewBase
`appendText, deleteDirective, expandAllMacrosInRuleString, expandAllMacrosInString, findCommandsInvoking, findRuleForTarget, getAllMacroDefinitions, getAllMacroDefinitions, getEOL, getMakefile, insertText, insertTextBefore, replaceDirective, unexpandMacros, unexpandMacros`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.makefile.image.IImageMakefileData
`getMakefile`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IData
`getModelPath, getProjectPath, getReferencedFiles`

Method Detail

### getMultiImageSources

    java.util.List<IMultiImageSource> getMultiImageSources()

  Access/modify the multi-image sources built in the Makefile (e.g., one per call to mifconv).

  Multi-image sources may be added to or removed from the map.

  (note: "project" comes from IViewConfiguration#IViewParserConfiguration#getProjectRoot())

  Specified by:
    `getMultiImageSources` in interface `IImageMakefileData`

### createMultiImageSource

    IMultiImageSource createMultiImageSource()

  Create a new, invalid multi-image source (not added)

  Returns:
    new container
  See Also:
    `IMultiImageSource.isValid()`

### setDefaultImageTarget

    void setDefaultImageTarget(java.lang.String targetName)

  Set the default target under which to add new mifconv commands. If null, the filename of a multi-image source itself is the default target.

  Parameters:
    `targetName` - new name, or null

### getDefaultImageTarget

    java.lang.String getDefaultImageTarget()

  Get the default target under which to add new mifconv commands. If null, the filename of a multi-image source itself is the default target.

  Specified by:
    `getDefaultImageTarget` in interface `IImageMakefileData`
  Returns:
    target name, or null

### getUnexpandedMultiImageSourceTargetPath

    java.lang.String getUnexpandedMultiImageSourceTargetPath(IMultiImageSource source)

  Get the string appearing in the Makefile that is the target of the multi-image source. This may, for instance, have $(EPOCROOT) or $(ZDIR) stuck to it, while the IMultiImageSource does not have this prefix.

  Parameters:
    `source` -
  Returns:
    target name

### getData

    IImageMakefileData getData()

  Description copied from interface: `IView`
  Get a copy of cacheable data for the view.

  Specified by:
    `getData` in interface `IView`
  Returns:
    instance of IData containing current data in the view, or `null` if such data cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD